import { defineComponent as l, computed as o, createElementBlock as r, createCommentVNode as n, openBlock as c, toDisplayString as u } from "vue";
const p = { key: 0 }, m = /* @__PURE__ */ l({
  __name: "DatahubDataTypeDoubleFloatValueRenderer",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {},
    dataTypeInstance: {},
    modelValue: {}
  },
  setup(a) {
    const e = a, t = o(() => e.cellValue?.length ? `${e.cellValue[0]}${e.cell.properties?.configuration?.separator}${e.cellValue[1]}` : "");
    return (s, d) => t.value ? (c(), r("span", p, u(t.value), 1)) : n("", !0);
  }
});
export {
  m as default
};
